Generation Framework

## org.eclipse.gmf.tooldef
Interface StandardTool

All Superinterfaces:
  AbstractTool, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StandardToolImpl

    public interface StandardTool

extends AbstractTool

A representation of the model object 'Standard Tool'. predefined, like zoom or marquee

The following features are supported:

- `Tool Kind`

See Also:
  `GMFToolPackage.getStandardTool()`
** Generated **
Model:

Method Summary
`StandardToolKind` `getToolKind()` Returns the value of the 'Tool Kind' attribute.
`void` `setToolKind(StandardToolKind value)` Sets the value of the '`Tool Kind`' attribute

Methods inherited from interface org.eclipse.gmf.tooldef.AbstractTool
`getDescription, getLargeIcon, getSmallIcon, getTitle, setDescription, setLargeIcon, setSmallIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getToolKind

    StandardToolKind getToolKind()

  Returns the value of the 'Tool Kind' attribute. The literals are from the enumeration `StandardToolKind`.

  If the meaning of the 'Tool Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tool Kind' attribute.
  See Also:
    `StandardToolKind`, `setToolKind(StandardToolKind)`, `GMFToolPackage.getStandardTool_ToolKind()`
  ** Generated **
  Model:

### setToolKind

    void setToolKind(StandardToolKind value)

  Sets the value of the '`Tool Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Tool Kind' attribute.
  See Also:
    `StandardToolKind`, `getToolKind()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.